<!DOCTYPE html>
<html>
	<head>
		<title>Calendar</title>
		
		<!-- CSS -->
		<link href="//netdna.bootstrapcdn.com/twitter-bootstrap/2.1.0/css/bootstrap-combined.min.css" rel="stylesheet" />
		<link href="//arshaw.com/js/fullcalendar-1.5.3/fullcalendar/fullcalendar.css" rel="stylesheet" />
		<link href="http://arshaw.com/js/fullcalendar-1.5.3/fullcalendar/fullcalendar.print.css" rel="stylesheet" />
		
		<!-- SCRIPTS -->
		<script class="cssdesk" src="//ajax.googleapis.com/ajax/libs/jquery/1.8.0/jquery.min.js" type="text/javascript"></script>
		<script class="cssdesk" src="//ajax.googleapis.com/ajax/libs/jqueryui/1.8.23/jquery-ui.min.js" type="text/javascript"></script>
		<script class="cssdesk" src="//netdna.bootstrapcdn.com/twitter-bootstrap/2.1.0/js/bootstrap.min.js" type="text/javascript"></script>
		<script class="cssdesk" src="//arshaw.com/js/fullcalendar-1.5.3/fullcalendar/fullcalendar.min.js" type="text/javascript"></script>
		<script>
		$(document).ready(function() {

      var calendar = $('#calendar').fullCalendar({
      defaultView: 'agendaWeek',
      editable: true,
      events: "post.php",
            eventDrop: function(event, delta) {
                alert(event.title + ' was moved ' + delta + ' days\n' +
                    '(should probably update your database)');
            },
        selectable: true,
        allDaySlot: false,
        minTime:'9:00',
        maxTime:'20:00',
      //header and other values
      select: function(start, end, allDay) {
          endtime = $.fullCalendar.formatDate(end,'h:mm tt');
          starttime = $.fullCalendar.formatDate(start,'ddd, MMM d, h:mm tt');
          var mywhen = starttime;
          $('#createEventModal #apptStartTime').val(start);
          $('#createEventModal #apptEndTime').val(end);
          $('#createEventModal #apptAllDay').val(allDay);
          $('#createEventModal #when').text(mywhen);
          $('#createEventModal').modal('show');
       }
    });

  $('#submitButton').on('click', function(e){
    // We don't want this to act as a link so cancel the link action
    e.preventDefault();

    doSubmit();
  });

  function doSubmit(){
    $("#createEventModal").modal('hide');
    console.log($('#apptStartTime').val());
    console.log($('#apptEndTime').val());
    console.log($('#apptAllDay').val());
    alert("form submitted");
        
    $("#calendar").fullCalendar('renderEvent',
        {
            title: $('#patientName').val(),
            start: new Date($('#apptStartTime').val()),
            end: new Date($('#apptEndTime').val()),
            allDay: ($('#apptAllDay').val() == "true"),
        },
        true);
   }
});
		</script>
	</head>
	
	<body>
		<div class="container">
			<h1>SB Nails Appointment</h1>
			
			<div id="calendar"></div>

<div id="createEventModal" class="modal hide" tabindex="-1" role="dialog" aria-labelledby="myModalLabel1" aria-hidden="true">
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">x</button>
        <h3 id="myModalLabel1">Create Appointment:
        <div id="when"></div></h3>
    </div>
    <div class="modal-body">
    <form id="createAppointmentForm" class="form-horizontal">
        <div class="control-group">
    <label class="control-label">First Name</label>
    <div class="controls">
    <input type="text" class="form-control" name="name" required autofocus value=""> 
    </div>
        </div>
    <div class="control-group">
    <label class="control-label">Last Name</label>
    <div class="controls">
      <input type="text" class="form-control" name="lastname" required  value=""> 
    </div>
    </div>
  <div class="control-group">
    <label class="control-label">Cell Phone </label>
    <div class="controls">
      <input type="text" id="phone" class="form-control" name="phone" required  value=""> 
    </div>
  </div>
   <div class="control-group">
    <label class="control-label">Service 1</label>
    <div class="controls">
      <select type="text" name="service" value="" class="form-control" required>
					<option value=""></option>				
					<option value="Pedicure">Pedicure</option>
					<option value="Spa Pedicure">Spa Pedicure</option>
					<option value="Milk Pedicure">Milk Pedicure</option>
					<option value="Hot Stone Pedicure">Hot Stone Pedicure</option>
					<option value="SB Organic Pedicure">SB Organic Pedicure</option>
					<option value="Shellac Pedicure">Shellac Pedicure</option>
					<option value="Manicure">Manicure</option>
					<option value="SB Manicure">SB Manicure</option>
					<option value="Shellac Manicure">Shellac Manicure</option>
					<option value="Kid's Mani & Pedi">Kid's Mani/Pedi</option>
					<option value="Fullset">Full-set</option>
					<option value="Fill">Fill</option>
					<option value="Eyebrow Wax">Eyebrow Wax</option>
					<option value="Lips/Chin Wax">Lips/Chin Wax</option>
					<option value="Full Face Wax">Full Face Wax</option>
					<option value="Legs Wax">Legs Wax</option>
					<option value="Bikini Wax">Bikini Wax</option>
					<option value="Brazilian Wax">Brazilian Wax </option>
					<option value="Facial">Facial</option>
					<option value="Eyebrow Tinting">Eyebrow Tinting</option>
					<option value="Body Massage">Body Massage</option>
					<option value="Eyelash Extensions">Eyelash Extensions</option>
				</select>  
    </div>
   </div>
   <div class="control-group">
    <label class="control-label">Quantity</label>
    <div class="controls">
      <select name="howmany" class="form-control" required>
				    <option value=""></option>
					<option value="1"> 1</option>
					<option value="2"> 2</option>
					<option value="3"> 3</option>
					<option value="4"> 4</option>
					<option value="5"> 5</option>
					<option value="6+"> 6+</option>
									</select>  
    </div>
  </div>
  
<div class="control-group">  
<label class="control-label">Message</label>  
<div class="controls">
  <textarea rows="3" name="comment" maxlenght=500 placeholder="optional"></textarea>
  </div>
</div>
        <div class="control-group">
            <label class="control-label" for="when">When:</label>
            <div class="controls controls-row" id="when" style="margin-top:5px;">
            </div>
        </div>
<input type="hidden" id="apptStartTime"/>
<input type="hidden" id="apptEndTime"/>
<input type="hidden" id="apptAllDay" />
    </form>
    </div>
    <div class="modal-footer">
        <button class="btn" data-dismiss="modal" aria-hidden="true">Cancel</button>
        <button type="submit" class="btn btn-primary" id="submitButton">Save</button>
    </div>
</div>
  

		</div>
	</body>
</html>