<?php
session_start();
$name=stripslashes($_SESSION['name']);
$date=stripslashes($_SESSION['date']);
$time=stripslashes($_SESSION['time']);
?>
<!DOCTYPE html>
<html lang="en"><head>
  <meta charset="utf-8">
  <title>SB Nails & Spa</title>
  <meta name="keywords" content="best nails, salon, shellac, solar nails, pedicure, manicure, waxing, facial, massage">
  <meta name="description" content="Best nail salon in Spring Branch, TX">
  <meta name="viewport" content="width=device-width">
  <link rel="stylesheet" href="css/font-awesome.min.css">
  <link rel="stylesheet" href="css/animate.css">
  <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,300italic,400italic,600,600italic,700,700italic,800,800italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" href="css/bootstrap.min.css">
  <link rel="stylesheet" href="css/main.css">
  <link rel="stylesheet" href="css/custom-styles.css">
  <script src="js/modernizr-2.6.2-respond-1.1.0.min.js"></script>
  <link rel="apple-touch-icon-precomposed" sizes="144x144" href="/apple-touch-icon-144-precomposed.png">
  <link rel="apple-touch-icon-precomposed" sizes="114x114" href="/apple-touch-icon-114-precomposed.png">
  <link rel="apple-touch-icon-precomposed" sizes="72x72" href="/apple-touch-icon-72-precomposed.png">
  <link rel="apple-touch-icon-precomposed" href="/apple-touch-icon-57-precomposed.png">
  <link rel="icon" href="/favicon.png">
  <script>
$('img').live('contextmenu', function(e){
    return false;
});
</script>
</head>
<body>
    <div class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand img-responsive" href="index.html"><img src="img/logo.png" alt="logo"></a>
        </div>
        <div class="navbar-collapse collapse">
          <ul class="nav navbar-nav navbar-right">
            <li class="active"><a href="index.html">Home</a></li>
              <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown">Services <b class="caret"></b></a>
                <ul class="dropdown-menu">
                  <li><a href="nailcare.html">Nail Care</a></li>
                  <li><a href="facecare.html">Facial Care</a></li>
                  <li><a href="massage.html">Massage</a></li>
                  <li class="divider"></li>
                  <li><a href="pricing.html">Price List</a></li>
                  <li><a href="appointment.php">Book Appointment Online</a></li>
                </ul>
              </li>
              <li><a href="specials.html">Specials</a></li>
              <li><a href="comments.php">Comments</a></li>
              <li><a href="contact.php">Directions</a></li>
          </ul>
        </div>
      </div>
    </div>
      

    <section id="page-title" class="section">
      <div class="container">
        <div class="row">
          <div class="col-sm-12 text-center">
            <h3>Appointment Confirmation</h3>
          </div>
						<div class="col-md-10 col-md-offset-1">

							<p class="lead">Dear <? echo $name;?>,<br/><br/> Your appointment is confirmed with us! A reminder of your appointment has sent to your phone and your email. We're looking forward to see you on  <? echo $date;?> at  <? echo $time;?>.<br/><br/>
							
							 Thank you!
                    </p>

						</div>
        </div>
      </div>
    </section>
    
    <section id="testimonial" class="section">
      <div class="container">
             <div class="col-sm-12">
            <h2>“This salon is what I've been looking for, excellent customer service and super quality. Coming here for me is definitely money well-spent.”</h2>
            <div class="testimonial-source pull-right">Beverly | December 03, 2012</div>
        </div>
      </div>
    </section>
    
 <section id="bottom">
      <div class="container-fluid">
        <div class="row margin-20">
          <div class="col-sm-10 col-sm-offset-1 text-center">
            <p>20743 W Hwy 46 # 140. Spring Branch, TX 78070 | (830) 438-9800<br/>
	            Mon - Sat: 9:30 AM - 7:00 PM<br/>
                Sun: 12:00 PM - 6:00PM</p>
            <hr>
          </div>
        </div>
        
        <div class="row">
          <div class="col-sm-10 col-sm-offset-1 text-center">
            <ul class="social-icons">
    					<li><a class="facebook" href="#" target="_blank"><i class="fa fa-facebook fa-3x"></i></a></li>
    				</ul>
          </div>
        </div>
      </div>
    </section>
    
    
    <section id="footer">
      <div class="container">
        <div class="row">
          <div class="col-sm-12 text-center">
            <p>SB Nails & Spa @ Copyright. All Rights Reserved</p>
          </div>
        </div>
      </div>
    </section>
        
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
    <script>window.jQuery || document.write('<script src="js/jquery-1.11.2.min.js"><\/script>')</script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/main.js"></script>
    
    <script>
      !function ($) {
        $(function(){
          $('#header').carousel()
        })
      }(window.jQuery)
    </script>
    </body>
</html>